%bcond_without dotests

%global __tar /opt/freeware/bin/tar

%global py_minor 17

%global py_major 3.9

%global python_major python%{py_major}

%global pkgname blinker

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        1.6.2
Release:        1
Summary:        Fast, simple object-to-object and broadcast signaling
License:        MIT
URL:            https://github.com/pallets-eco/blinker
Source0:        https://files.pythonhosted.org/packages/source/b/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
Requires:       %{python_major} >= %{py_major}.17


%description
Blinker provides a fast dispatching system that allows any number
of interested parties to subscribe to events, or "signals".

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.17
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{pkgname}-%{version}


%build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} -m pip install . --root %{buildroot} -I --no-deps


%check
%if %{with dotests}

export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{python_major} -m pytest

%endif


%files
%defattr(-,root,system,-)
%license LICENSE.rst
%doc CHANGES.rst README.rst
%{python3_sitearch}/*

%files -n %{meta_package}
# Empty

%changelog
* Thu Sep 14 2023 Ayappan P <ayappap2@in.ibm.com> - 1.6.2-1
- First port to AIX
